-- Leo's gemini proxy

-- Connecting to git.thebackupbox.net:1965...

-- Connected

-- Sending request

-- Meta line: 20 text/gemini

repo: hackvr
action: commit
revision:
path_from:
revision_from: fb08435f0d450fc2b65d68f066ac52b33fff32c8:
path_to:
revision_to:

git.thebackupbox.net

hackvr

git://git.thebackupbox.net/hackvr

commit fb08435f0d450fc2b65d68f066ac52b33fff32c8
Author: epoch <epoch@hacking.allowed.org>
Date:   Thu Mar 29 17:53:17 2018 -0500

    gopher backend for browser scripts now exits cleaning if hackvr exits by checking for empty input

diff --git a/filebrowser/backend-gopher.sh b/filebrowser/backend-gopher.sh

index 54b39c57fe3a645c02e914ccf95777de3d72b048..

index ..e6066670e1bf2401cd97cc3c87702239fd6147ec 100755

--- a/filebrowser/backend-gopher.sh
+++ b/filebrowser/backend-gopher.sh
@@ -11,5 +11,9 @@ while true;do
   printf '%s\n' "$selection" | ncat "$server" "$port" | tee /dev/stderr | grep -v ^i | cut -f2 | tr -d '\r'
 ### need to ask user for input in the form of a pop-up window if the selected target was of type 7
   read -r selection
+  if [ "_" = "_$selection" ];then
+   echo "looks like there's nothing here. exiting." >&2
+   exit 1
+  fi
   echo
 done

-----END OF PAGE-----

-- Response ended

-- Page fetched on Sun Jun 2 15:08:00 2024